﻿using Microsoft.AspNetCore.Components;
using VeraxShield.modele.utilisateurs;
using VeraxShield.services.UtilisateursDataService;

namespace VeraxShield.Pages.utilisateurs
{
	public partial class ListeUtilisateurs
	{
		[Inject]
		private IUtilisateursDataService utilisateursDataService { get; set; }

		private List<Utilisateur> Utilisateurs { get; set; }

		protected override async Task OnInitializedAsync()
		{
			this.Utilisateurs = await this.utilisateursDataService.getAllUtilisateurs();
			await base.OnInitializedAsync();
		}
	}
}
